Package org.pushingpixels.substance.internal.ui

# Class SubstanceComboBoxUI.ComboBoxPropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler
org.pushingpixels.substance.internal.ui.SubstanceComboBoxUI.ComboBoxPropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  `SubstanceComboBoxUI`

public class SubstanceComboBoxUI.ComboBoxPropertyChangeHandler extends BasicComboBoxUI.PropertyChangeHandler
This property change handler changes combo box arrow icon based on the enabled status of the combo box.

## Constructor Summary

Constructors
Constructor
Description
`ComboBoxPropertyChangeHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComboBoxPropertyChangeHandler

public ComboBoxPropertyChangeHandler()

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Overrides:
  `propertyChange` in class `BasicComboBoxUI.PropertyChangeHandler`